image: node:latest

pipelines:
  custom:
    build-and-deploy-release-candidate:
      - step:
          caches:
            - node
          script:
            - npm install node-sass
            - npm update
            - npm install
            - npm run build
            - git checkout -B release-candidate
            - git add -f build config dist handsome-cart-customization.js models package* README.md sod-sales* views
            - git commit -m "automatic build of release candidate"
            - git push -f origin
    build-and-deploy-world-candidate:
      - step:
          caches:
            - node
          script:
            - npm install node-sass
            - npm update
            - npm install
            - npm run build
            - git checkout -B world-candidate
            - git add -f build config dist handsome-cart-customization.js models package* README.md sod-sales* views
            - git commit -m "automatic build of world candidate"
            - git push -f origin
